/*------------------------------------------------------------------------------
 * MDK Middleware - Component ::USB:Device
 * Copyright (c) 2004-2013 ARM Germany GmbH. All rights reserved.
 *------------------------------------------------------------------------------
 * Name:    HID.c
 * Purpose: USB Device Human Interface Device example program
 *----------------------------------------------------------------------------*/

#include "cmsis_os.h"
#include "rl_usb.h"

#include "em_device.h"
#include "bsp.h"
#include "em_cmu.h"
#include "em_emu.h"


int main (void) {
  uint8_t joy = 0;
  uint8_t val = 0;

  CMU_ClockSelectSet( cmuClock_HF, cmuSelect_HFXO );
  CMU_OscillatorEnable( cmuOsc_LFRCO, true, false );

  BSP_Init(BSP_INIT_DK_SPI);
  BSP_LedsInit();

  USBD_Initialize    (0);               /* USB Device Initialization          */
  USBD_Connect       (0);               /* USB Device Connect                 */

  while (1) {                           /* Loop forever                       */
    joy = BSP_JoystickGet();
    if (joy != val) {
      val = joy;
      USBD_HID_GetReportTrigger(0, 0, &joy, 1);
    }
    osDelay(100);                       /* 100 ms delay for sampling joystick */
  }
}
